import { ProductColorSelectorClient } from "@/components/shared/product-color-selector-client";
import { Locale } from "@/i18n/routing";
import { getProductColorSelector } from "@/utils/get-fake-data";

interface ProductColorSelectorProps {
  locale: Locale;
}

export default async function ProductColorSelector({
  locale,
}: ProductColorSelectorProps) {
  const data = await getProductColorSelector();

  return <ProductColorSelectorClient data={data} locale={locale} />;
}
